//
// aiiFlashingText.h
//
//  Created by C.K. Haun on 12/24/13.
//  Copyright (c) 2013 C.K. Haun. All rights reserved.
//
#ifndef __FORIPHONE__
#import <Cocoa/Cocoa.h>
#else
#import <UIKit/UIKit.h>
#endif  
typedef enum textFlashSpeed{
     textFlashSpeedFast=0,
    textFlashSpeedMedium,
    textFlashSpeedSlow
}textFlashSpeed;

// silly macros to harmonize OS X and iOS which already should be harmonized
#ifndef __FORIPHONE__
#define aiiColor NSColor
#define aiiRect NSRect
#else
#define aiiColor UIColor
#define aiiRect CGRect
#endif

@interface aiiFlashingText :
#ifndef __FORIPHONE__
NSTextField
#else
UILabel
#endif
{
    aiiColor *textColor;
    NSTimer *timit;
    BOOL onoff;
    BOOL flashing;
    BOOL oldFlashing;
    NSTimeInterval currentSpeed;
    NSTimeInterval flashSpeed[3];
}

-(void)applyColor:(aiiColor *)newColor;
-(void)setFlashSpeed:(textFlashSpeed)speed;
-(void)flash:(BOOL)startStop;
@end
